### Method

# GLib Source set_funcs

since: 2.12

#### Declaration

    void
    g_source_set_funcs (
      GSource* source,
      GSourceFuncs* funcs
    )

#### Description

Sets the source functions (can be used to override default implementations) of an unattached source.

Available since: 2.12

#### Parameters

`funcs`

  Type: `GSourceFuncs`

  The new `GSourceFuncs`.

  The data is owned by the caller of the method.